Skip to content

Lists webhook delivery logs

Request

GET {{baseURL}}/v2/webhooks/delivery-logs

This endpoint lists webhook delivery logs for the merchant account.

See Also:
To list all available webhooks, see GET /v2/webhooks/endpoints.
To retrieve a specified delivery log, see GET /v2/webhooks/delivery-logs/{{endpointId}}.
To export delivery log, see GET /v2/webhooks/delivery-logs/export.

Query parameters may be combined to filter the exported results.

Security
Bearer
Query
pageIndexinteger, (int32), >= 0

Specifies the page number of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.

For page size information, see pageSize.

Example: 0

Default:0
pageSizeinteger, (int32), [ 1 .. 100 ]

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

For page numbering information, see pageIndex.

Example: 50

Default:20
sortBystring

Specifies the field the results get ordered or sorted by.

The sort order is specified by the sortOrder value.
The field that gets sorted by is specified by the sortBy value.

Example:sortBy=ContactName
sortOrderstring

Specifies the sort order.

The sort order is specified by the sortOrder value.
The field that gets sorted by is specified by the sortBy value.

Valid values are:

ValueDescription
ascSort results from the lowest value to the highest value.
descSort results from the highest value to the lowest value.
Default:"asc"
Example:sortOrder=desc
endpointIdstring, (uuid)


Specifies the webhook identifier to filter by.

Example:endpointId=0dab4e68-8d18-42ce-93ba-77b0e8dbafdc
eventTypestring

Filters delivery logs to a single event type.

Omit this parameter to include all event types.

Valid values are:

Wire valueMeaningGroup
api_key.createdAn API key was createdAPI Keys (affiliate only)
api_key.deletedAn API key was revoked or deletedAPI Keys (affiliate only)
invoice.createdA new invoice was createdInvoices
invoice.paidAn invoice was marked as paidInvoices
merchant.createdA new merchant account was createdMerchants (affiliate only)
payment_session.completedA payment session reached a terminal state (completed, failed, or canceled)Payment Sessions
payment_session.createdA payment session was createdPayment Sessions
quick_payment.createdA quick payment link was createdQuick Payments
quick_payment.paidA quick payment link was paidQuick Payments
settlement.batch.completedA batch settlement was processed and settledSettlement
subscription.createdA new subscription was createdSubscriptions
subscription.delinquentA subscription entered a delinquent state after repeated payment failuresSubscriptions
subscription.paidA subscription payment was successfully collectedSubscriptions
subscription.payment_failedA subscription payment attempt failedSubscriptions
terminal.addedA new terminal was registered to the accountTerminals
terminal.deactivatedA terminal was deactivated on the accountTerminals
terminal.out_of_paperA terminal paper roll is emptyTerminals
transaction.ach.cancelledAn ACH transaction was canceled before processingACH Transactions
transaction.ach.charged_backAn ACH transaction was returned or charged backACH Transactions
transaction.ach.clearedAn ACH transaction successfully clearedACH Transactions
transaction.ach.failedAn ACH transaction failed due to a processing errorACH Transactions
transaction.ach.heldAn ACH transaction was placed on hold for reviewACH Transactions
transaction.ach.in_progressAn ACH transaction was submitted to the networkACH Transactions
transaction.ach.refundedAn ACH transaction was refunded to the originatorACH Transactions
transaction.ach.scheduledAn ACH transaction was created and scheduledACH Transactions
transaction.card.authorizedA card payment authorization was approvedCard Transactions
transaction.card.capturedAn authorized card payment was capturedCard Transactions
transaction.card.declinedA card payment was declined by the issuerCard Transactions
transaction.card.failedA card payment failed due to a processing errorCard Transactions
transaction.card.refundedA card payment was refunded to the cardholderCard Transactions
transaction.card.voidedA card authorization was voided before captureCard Transactions
Enum:"api_key.created""api_key.deleted""invoice.created""invoice.paid""merchant.created""payment_session.completed""payment_session.created""quick_payment.created""quick_payment.paid""settlement.batch.completed"
Example:eventType=transaction.card.captured
deliveryLogStatusstring

Filters by the delivery success status code.

HTTP StatusMeaning
SuccessDelivery succeeded
FailureDelivery failed
Enum:"Success""Failure"
Example:deliveryLogStatus=Success
endpointHTTPResponseCodeinteger, (int32)

Filters by the HTTP response status code.

This is the HTTP status code returned by the attempted delivery.

The following is a list of HTTP response status codes that include but are not limited to:

HTTP StatusMeaning
200Delivery succeeded
400Bad request
401Unauthorized
404Endpoint not found
429Rate limited
Example:endpointHTTPResponseCode=401
fromDatestring, (date-time)

Filters returning webhooks created on or after this date (in an ISO 8601 date-time format).

If only fromDate is specified, the search returns all available items from the fromDate value to the present. The fields fromDate and toDate may be used together to create an exclusive range. We recommend creating an exclusive range to avoid a potentially excessive number of returns.

Example:fromDate=2025-01-27T12:05:54.322Z
toDatestring, (date-time)

Filters returning webhooks created on or to this date (in an ISO 8601 date-time format).

If only toDate is specified, the search returns all available items up to the toDate value. The fields fromDate and toDate may be used together to create an exclusive range. We recommend creating an explicit range to avoid a potentially excessive number of returns.

Example:toDate=2026-02-27T12:05:54.322Z
searchstring

Filters using a search string.

This performs a case-insensitive search that matches exactly or partially.

The field does not have to be specified. If the results are to be sorted, use the orderby field to specify the sort field.

The search includes the following fields:
EventId (Exact match and complete UUID only. Otherwise, this value is ignored.)
WebhookName
EndpointUrl

curl -i -X GET \
  'https://sandbox.api.flute.com/v2/webhooks/delivery-logs?pageIndex=0&pageSize=20&sortBy=ContactName&sortOrder=desc&endpointId=0dab4e68-8d18-42ce-93ba-77b0e8dbafdc&eventType=transaction.card.captured&deliveryLogStatus=Success&endpointHTTPResponseCode=401&fromDate=2025-01-27T12%3A05%3A54.322Z&toDate=2026-02-27T12%3A05%3A54.322Z&search=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
dataArray of objects or null
pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "data": [ { "deliveryLogId": "89a2c8d9-0e1f-4a2b-3c4d-5e6f7a8b9c25", "endpointId": "9ab3d9e0-1f2a-4b3c-4d5e-6f7a8b9c0d36", "endpointName": "Peppared Street Cafe's Reconciliation", "endpointUrl": "https://example.com/webhooks/pepparedstreetcafe", "eventId": "399f9d7d-0714-453c-9b6d-dda836e1d8e6", "eventType": [ "transaction.card.captured", "transaction.card.refunded", "settlement.batch.completed", null ], "attemptNumber": 3, "status": "Success", "endpointHTTPResponseCode": 200, "roundTripDurationMs": 367, "errorMessage": "Recipient not available", "createdOn": "2025-01-27T12:05:54.322Z" } ], "pageInfo": { "pageIndex": 0, "pageSize": 20, "totalItems": 1012, "totalPages": 51, "hasMore": true } }